# Generated by rust2rpm 27
%bcond check 1

%global  debug_package %{nil}

# prevent library files from being installed
%global cargo_install_lib 0

%global crate eza

Name:           rust-eza
Version:        0.21.4
Release:        %autorelease -e 1
Summary:        Modern replacement for ls

License:        EUPL-1.2
URL:            https://crates.io/crates/eza
Source:         %{crates_source}
Source:         https://github.com/RebornRider/copr-packages/releases/download/source-artefacts/eza-0.21.4-vendor.tar.xz
# Automatically generated patch to strip dependencies and normalize metadata
Patch:          eza-fix-metadata-auto.diff

BuildRequires:  cargo-rpm-macros >= 26
BuildRequires:  pandoc

%global _description %{expand:
A modern replacement for ls.}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}
# FIXME: paste output of %%cargo_license_summary here
License:        (0BSD OR MIT OR Apache-2.0) AND (Apache-2.0 OR BSL-1.0) AND (Apache-2.0 OR MIT) AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND (EUPL-1.2) AND (MIT) AND (MIT OR Apache-2.0) AND (MIT OR Apache-2.0 OR CC0-1.0) AND (MIT OR Zlib OR Apache-2.0) AND (MPL-2.0) AND (Unicode-3.0) AND (Unlicense OR MIT)
# LICENSE.dependencies contains a full license breakdown

%description -n %{crate} %{_description}

%files       -n %{crate}
%license LICENSE.txt
%license LICENSES/CC-BY-4.0.txt
%license LICENSE.dependencies
%license cargo-vendor.txt
%doc CHANGELOG.md
%doc CODE_OF_CONDUCT.md
%doc CONTRIBUTING.md
%doc INSTALL.md
%doc README.md
%doc SECURITY.md
%doc TESTING.md
%{_bindir}/eza
%{_mandir}/man1/%{crate}.1*
%{_mandir}/man5/%{crate}_colors*
%{bash_completions_dir}/%{crate}
%{zsh_completions_dir}/_%{crate}
%{fish_completions_dir}/%{crate}.fish

%prep
%autosetup -n %{crate}-%{version} -p1 -a1
%cargo_prep -v vendor

%build
%cargo_build
%{cargo_license_summary}
%{cargo_license} > LICENSE.dependencies
%{cargo_vendor_manifest}

%install
%cargo_install
# install man pages
mkdir target/man
sed "s/\$version/v%{version}/g" man/%{crate}.1.md | pandoc --standalone -f markdown -t man > target/man/%{crate}.1
sed "s/\$version/v%{version}/g" man/%{crate}_colors.5.md | pandoc --standalone -f markdown -t man > target/man/%{crate}_colors.5
sed "s/\$version/v%{version}/g" man/%{crate}_colors-explanation.5.md | pandoc --standalone -f markdown -t man > target/man/%{crate}_colors-explanation.5
install -Dpm0644 target/man/%{crate}.1 \
    -t %{buildroot}/%{_mandir}/man1/
install -Dpm0644 target/man/%{crate}_colors.5 \
    -t %{buildroot}/%{_mandir}/man5/
install -Dpm0644 target/man/%{crate}_colors-explanation.5 \
    -t %{buildroot}/%{_mandir}/man5/
# install shell completions
install -Dpm0644 completions/bash/%{crate} \
    -t %{buildroot}/%{bash_completions_dir}/
install -Dpm0644 completions/fish/%{crate}.fish \
    -t %{buildroot}/%{fish_completions_dir}/
install -Dpm0644 completions/zsh/_%{crate} \
    -t %{buildroot}/%{zsh_completions_dir}/

%if %{with check}
%check
%cargo_test
%endif

%changelog
%autochangelog
